Subject: Re: [PATCH 2/8] net: ethernet: stmmac: update to support all PHY config for stm32mp157c.

From: Andrew Lunn <[email-masked]>
Date: Thu, 14 Feb 2019 16:15:40 +0100

> Sorry, I've misunderstood your question ;-)
> 
> And you spoke about :
> 
> case PHY_INTERFACE_MODE_RGMII:
> case PHY_INTERFACE_MODE_RGMII_ID:
> case PHY_INTERFACE_MODE_RGMII_RXID:
> case PHY_INTERFACE_MODE_RGMII_TXID:
> 
> So in my setup I've only RGMII interface, so I've never tested 3 others 
> interfaces (_ID, _RXID, _TXID).
> 
> So do I need to add cases in my driver ?

Yes. They all indicate the MAC should be using RGMII.

This appears to be an old issue, but now would be a good time to fix
it.

     Andrew